Skip to main content
POST
/
allowlists
/
{allowlistId}
/
entries
Create an allowlist entry
curl --request POST \
  --url https://app.dynamicauth.com/api/v0/allowlists/{allowlistId}/entries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "walletPublicKey": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
  "email": "[email protected]",
  "emailDomain": "https://website-sample.com",
  "phoneNumber": "+1234567890",
  "alias": "An example name",
  "discordUsername": "An example name",
  "twitterUsername": "An example name",
  "farcasterUsername": "An example name",
  "farcasterFid": 123,
  "externalUserId": "An example name"
}
'
{
  "id": "95b11417-f18f-457f-8804-68e361f9164f",
  "allowListId": "95b11417-f18f-457f-8804-68e361f9164f",
  "walletPublicKey": "<string>",
  "email": "[email protected]",
  "emailDomain": "<string>",
  "phoneNumber": "<string>",
  "discordUsername": "<string>",
  "twitterUsername": "<string>",
  "farcasterUsername": "<string>",
  "farcasterFid": 123,
  "alias": "<string>",
  "externalUserId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://www.dynamic.xyz/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

allowlistId
string
required

ID of the allowlist

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

Fields necessary to create a new allowlist entry

walletPublicKey
string

Valid blockchain wallet address, must be an alphanumeric string (underscores allowed for chains like Midnight)

Maximum string length: 255
Pattern: ^[A-Za-z0-9_]{18,100}$
Example:

"0xbF394748301603f18d953C90F0b087CBEC0E1834"

email
string
Maximum string length: 255
Pattern: ^$|(^([!#-'*+\/-9=?A-Z^-~-]+(\.[!#-'*+\/-9=?A-Z^-~-]+)*|"([]!#-[^-~ \t]|([\t -~]))+")@([!#-'*+\/-9=?A-Z^-~-]+(\.[!#-'*+\/-9=?A-Z^-~-]+)*|[\t -Z^-~]*)$)
emailDomain
string
Pattern: ^(https?:\/\/)?[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}([0-9]{1,5})?(\/.*)?$
Example:

"https://website-sample.com"

phoneNumber
string
Maximum string length: 255
Pattern: ^(\+[1-9]\d{1,14})?$
Example:

"+1234567890"

alias
string
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

discordUsername
string
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

twitterUsername
string
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

farcasterUsername
string
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

farcasterFid
number

Farcaster FID (numeric protocol identifier) to match

externalUserId
string
Maximum string length: 255
Pattern: ^$|^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

Response

Created

id
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

allowListId
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

walletPublicKey
string

Wallet address matched against user wallets for allowlist evaluation

email
string<email>

Email address matched against user profiles for allowlist evaluation

emailDomain
string<hostname>

Email domain (e.g. company.com) matched against all emails from that organization

phoneNumber
string

Phone number matched against user profiles for allowlist evaluation

discordUsername
string

Discord username matched against the user's linked Discord OAuth account

twitterUsername
string

Twitter/X username matched against the user's linked Twitter OAuth account

farcasterUsername
string

Farcaster username matched against the user's linked Farcaster profile

farcasterFid
number

Farcaster FID (numeric protocol identifier) matched against user profiles

alias
string

Human-readable label to identify this entry in the dashboard

externalUserId
string

External system user ID matched against linked ExternalUser identities